<?php



class ConsecutivosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ConsecutivosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('CONSECUTIVOS');
		$tMap->setPhpName('Consecutivos');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID', 'Id', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('CONSECUTIVO_COMISION', 'ConsecutivoComision', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('VIGENCIA', 'Vigencia', 'string', CreoleTypes::VARCHAR, false, 20);

	} 
} 